Tryton - Issues

 

Issue3001

Title Using non-line type of product lines on purchase order make it couldn't be confirmed.
Priority bug Status resolved
Superseder Nosy List asoleh, ced
Type Components purchase_invoice_line_standalone
Assigned To ced Keywords
Reviews

Created on 2013-02-14.01:11:54 by asoleh, last changed by ced.

Files
File name Uploaded Type Edit Remove
purchase order-error.png asoleh, 2013-02-14.01:11:53 image/png
Messages
msg12802 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2013-03-24.23:26:27
Fixed with rev a1c83a6bdc00
msg12560 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2013-02-21.23:32:56
On 20/02/13 09:08 +0100, Abdurahman Soleh wrote:
> You're right. I try it again with no purchase_invoice_line_standalone module and 
> it's  working. Is it a bug in purchase_invoice_line_standalone module? how to fix 
> it.

I think the right solution is to delete all “non-line” invoice line
before unlink them from the invoice.
msg12549 (view) Author: [hidden] (asoleh) Date: 2013-02-20.09:08:13
You're right. I try it again with no purchase_invoice_line_standalone module and 
it's  working. Is it a bug in purchase_invoice_line_standalone module? how to fix 
it.
msg12525 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2013-02-17.00:44:12
I think it is the purchase_invoice_line_standalone module that should not create
standalone line without type = 'line'.
msg12487 (view) Author: [hidden] (asoleh) Date: 2013-02-14.01:11:53
I've been created a sale quotation using a line type and non-line types (such as 
title, comment and subtotal type) of product in the line field. It worked and 
printed looks ok. but when i generated it into a confirm state, it couldn't make 
it and showed this message 'Line without "line" type must have an invoice!'.  
Why? Is that any configuration that i missed or is this a bug.
Just for inform, I doing this with the trunk version and all standart modules 
installed below :
- "account"
- "account_asset"
- "account_invoice"
- "account_invoice_history"
- "account_invoice_line_standalone"
- "account_product"
- "account_statement"
- "account_stock_continental"
- "analytic_account"
- "analytic_invoice"
- "analytic_purchase"	
- "analytic_sale"
- "company"
- "company_work_time"
- "country"
- "currency"
- "dashboard"
- "ir"
- "party"
- "product"
- "product_attribute"
- "product_cost_fifo"
- "product_measurements"
- "product_price_list"
- "project"
- "project_plan"
- "project_revenue"
- "purchase"
- "purchase_invoice_line_standalone"
- "res"
- "sale"
- "sale_opportunity"
- "sale_price_list"
- "stock"
- "stock_forecast"
- "stock_inventory_location"
- "stock_location_sequence"
- "stock_lot"
- "stock_product_location"
- "stock_split"
- "stock_supply"
- "stock_supply_day"
- "stock_supply_forecast"
- "timesheet"
History
Date User Action Args
2013-03-24 23:26:28cedsetstatus: in-progress -> resolved
messages: + msg12802
2013-03-24 22:49:19cedsetstatus: chatting -> in-progress
assignedto: ced
2013-03-24 22:39:29cedsetcomponent: + purchase_invoice_line_standalone
2013-02-21 23:32:57cedsetmessages: + msg12560
2013-02-20 09:08:14asolehsetmessages: + msg12549
2013-02-17 00:44:13cedsetstatus: unread -> chatting
nosy: + ced
messages: + msg12525
2013-02-14 01:11:54asolehcreate

Showing 10 items. Show all history (warning: this could be VERY long)